Poll async clean description generation
curl --request GET \
--url https://api.cekura.ai/test_framework/v1/metrics/generate_clean_description_progress/ \
--header 'X-CEKURA-API-KEY: <api-key>'import requests
url = "https://api.cekura.ai/test_framework/v1/metrics/generate_clean_description_progress/"
headers = {"X-CEKURA-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-CEKURA-API-KEY': '<api-key>'}};
fetch('https://api.cekura.ai/test_framework/v1/metrics/generate_clean_description_progress/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"clean_description": "<string>",
"thinking": "<string>",
"error": "<string>"
}Metrics
Poll Async Metric Description Generation Progress
Poll the result of a generate_clean_description_bg job. status is one of: queued, processing, completed, failed. On completed, clean_description and thinking are present.
GET
/
test_framework
/
v1
/
metrics
/
generate_clean_description_progress
/
Poll async clean description generation
Authorizations
API Key Authentication. It should be included in the header of each request.
Query Parameters
progress_id returned from generate_clean_description_bg
⌘I